Error cr2 not supported by version of Camera Raw

  • 1
  • Problem
  • Updated 3 years ago
  • Solved
When I attempt to open a cr2 file in Photoshop elements 12, I get this error. "Could not complete your request because the file appears to be from a camera model which is not supported by the installed version of Camera Raw." I shoot with a t5, and never had this issue until recently? What can I do???
Photo of Elesa Stoltzfus

Elesa Stoltzfus

  • 2 Posts
  • 0 Reply Likes
  • frustrated

Posted 3 years ago

  • 1
Photo of Steve Sprengel

Steve Sprengel, Champion

  • 2657 Posts
  • 341 Reply Likes
The T5 requires a Adobe Camera Raw (ACR) plug-in version 8.4 or newer.

PSE12 can be updated to ACR 8.5 so you should be ok if you update yoru ACR plug-in.

Do Help / About Plug-ins / Camera Raw in the PSE Editor and see what version you have?

If it's not quite new enough then use Help / Updates to get a newer version. If that doesn't work then report back here with the version that is installed.

What OS are you running on your computer?
Photo of Elesa Stoltzfus

Elesa Stoltzfus

  • 2 Posts
  • 0 Reply Likes
Thank you very much!
Very helpful info!

I had ACR version 8.0.

Also, I am running Windows 8.1.

It opened my cr2 file now.
Again, thanks so much!!!!
Photo of Steve Sprengel

Steve Sprengel, Champion

  • 2657 Posts
  • 341 Reply Likes
To explain what happened, maybe you reinstalled PSE12 and it reset back to the first version of ACR that came with the installer, and you needed to reupdate back to the current available version.